# Class FlowReadGroupInfo

java.lang.Object
picard.flow.FlowReadGroupInfo

public class FlowReadGroupInfo extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`flowOrder`
`final boolean`
`isFlowPlatform`
`final int`
`maxClass`

## Constructor Summary

Constructors
Constructor
Description
`FlowReadGroupInfo(htsjdk.samtools.SAMReadGroupRecord readGroup)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getReversedFlowOrder()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### flowOrder

public final String flowOrder

### maxClass

public final int maxClass

### isFlowPlatform

public final boolean isFlowPlatform

## Constructor Details

### FlowReadGroupInfo

public FlowReadGroupInfo(htsjdk.samtools.SAMReadGroupRecord readGroup)

## Method Details

### getReversedFlowOrder

public String getReversedFlowOrder()